\section{Certificate Logging Preliminaries} \label{sec:preliminaries}
CT is a system of public append-only logs that store TLS certificates issued by
trusted CAs~\cite{ct/a,ct-rfc}.  If web browsers add the criterion that a
certificate must be logged before accepting it as valid, certificate issuance
practices by CAs effectively become transparent so that mistakes and malfeasance
can be detected by anyone that observes the logs.  These observers are
called \emph{monitors} because they download every certificate from all logs.
One can self-host a monitor, or use a third-party service like
\texttt{crt.sh}, or follow other models based on
subscriptions~\cite{lwm,li}.  To avoid introducing more parties that are trusted
blindly as in the CA ecosystem, CT stands on a cryptographic foundation that
permits efficient verification of inclusion (a certificate is in the log) and
the append-only property (no certificate has been removed or
modified)~\cite{ct-foundation}.  A party engaging in verification of these
(logarithmic) proofs is called an \emph{auditor}.

In practice, CT has been rolled-out gradually to not break the
web~\cite{does-ct-break-the-web}.  One facilitating factor has been the
introduction of Signed Certificate Timestamps (SCTs).  An SCT is a log's
\emph{promise} to include a certificate within a certain amount of time;
typically 24~hours.  This guarantees low-latency certificate issuance so that
CAs can \emph{embed} SCTs in certificates to keep web servers oblivious to CT.
Google Chrome and Apple's Safari require SCTs before accepting a certificate as
valid, and steps towards further SCT verification have been taken
recently~\cite{ct-in-chrome}.  Tor Browser does not require CT yet~\cite{ctor-popets}.

%It is worth emphasizing that CT can never prevent certificate mis-issuance; just
%detect mistakes and hold every CA accountable.  Revocation is not solved by CT,
%but ideas on that exist as well~\cite{revocation-transparency}.

%%% Local Variables: 
%%% mode: latex 
%%% TeX-master: "../main"
%%% End:          
